Subject: bug#10902: closed (Re: bug#10902: 24.0.93; Point displayed after end of buffer with scroll-margin)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 03 Mar 2012 19:09:02 +0000

Your bug report

#10902: 24.0.93; Point displayed after end of buffer with scroll-margin

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
10902: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10902
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#10902: 24.0.93; Point displayed after end of buffer with scroll-margin
From: Eli Zaretskii <[email-masked]>
To: Johan Bockgård <[email-masked]>
Cc: [email-masked]
Date: Sat, 03 Mar 2012 21:06:13 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Johan Bockgård <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 03 Mar 2012 18:28:41 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> > I will take a look soon.  Thanks for reporting this.
> >> >
> >> > P.S.  Is there a real-life use-case behind this?  I mean, setting a
> >> > scroll margin that is wider than the window sounds... how should I put
> >> > it... weird, no?
> >> 
> >> The precise value of scroll-margin is not important. It happens for any
> >> value > 1.
> >
> > But only if the window height is 2 lines more than the buffer line
> > count, according to my testing.
> 
> Mine too.
> 
> > Anyway, I think I fixed this (in revision 107481 on the trunk).
> > Please see if there are any leftovers after that fix.
> 
> It fixes the problem for me. Thanks.

Thanks, I'm closing the bug.

Subject: 24.0.93; Point displayed after end of buffer with scroll-margin
From: Johan Bockgård <[email-masked]>
To: [email-masked]
Date: Mon, 27 Feb 2012 20:18:09 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

emacs -Q

Eval

    (progn
      (pop-to-buffer (get-buffer-create "*foo*"))
      (dotimes (n 5) (insert "x\n"))
      (goto-char (point-min))
      (setq scroll-margin 100)
      (set-window-text-height nil (+ 5 2)))

Press `M->'

  => Point is displayed one line below the end of the buffer.